Qt 5.9 | Qt 3D | C++ Classes | QCylinderGeometry

Qt 5.9.3 Reference Documentation

# QCylinderGeometry Class

(Qt3DExtras::QCylinderGeometry)

The QCylinderGeometry class allows creation of a cylinder in 3D space. More...

Header: | #include <Qt3DExtras/QCylinderGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.7
Instantiated By: | CylinderGeometry
Inherits: | Qt3DRender::QGeometry

- List of all members, including inherited members

## Properties

indexAttribute : Qt3DRender::QAttribute * const length : float normalAttribute : Qt3DRender::QAttribute * const positionAttribute : Qt3DRender::QAttribute * const | radius : float rings : int slices : int texCoordAttribute : Qt3DRender::QAttribute * const

- 1 property inherited from Qt3DRender::QGeometry
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QCylinderGeometry(QNode *parent = nullptr)
Qt3DRender::QAttribute * | indexAttribute() const
float | length() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
Qt3DRender::QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

- 4 public functions inherited from Qt3DRender::QGeometry
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setLength(float length)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 1 public slot inherited from Qt3DRender::QGeometry
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | lengthChanged(float length)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 1 signal inherited from Qt3DRender::QGeometry
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QCylinderGeometry class allows creation of a cylinder in 3D space.

The QCylinderGeometry class is most commonly used internally by the QCylinderMesh but can also be used in custom Qt3DRender::QGeometryRenderer subclasses.

## Property Documentation

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### length : float

Holds the length of the cylinder.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### radius : float

Holds the radius of the cylinder.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the cylinder.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the cylinder.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DRender::QAttribute * | texCoordAttribute() const

## Member Function Documentation

### QCylinderGeometry::QCylinderGeometry(QNode *parent = nullptr)

Constructs a new QCylinderMesh with parent.

### void QCylinderGeometry::updateIndices()

Updates the indices based on rings, slices, and length properties.

### void QCylinderGeometry::updateVertices()

Updates the vertices based on rings, slices, and length properties.